Skip to main content
PUT
Update a user

Authorizations

Authorization
string
header
required

Access token

Path Parameters

id
string
required

user ID

Body

application/json

Updates only the supplied fields. Only a primary user can change business or customer_group_id.

first_name
string | null
Maximum string length: 255
last_name
string | null
Maximum string length: 255
phone
string | null
email
string<email> | null
country_code
string | null
Pattern: ^\+?\d{1,4}$
customer_group_id
string | null
business
object | null
metadata
object | null

Customer metadata. Send either this field or business.metadata.

attributes
(By id · object | By slug · object)[]

A value to set for one attribute, named by its attribute_id or its slug (one of the two). Shoppers can set visible, active custom attributes that aren't is_readonly.

notification_preferences
object

Response

OK

message
string
required

A descriptive message confirming the success or failure of the Registration process.

success
boolean
required

Indicates whether the request was successful or failure (true for success, false for failure).

content
object
required

An object containing the response content.